List conversations
Server:
https://{kibana_url}
- GET /api/agent_builder/conversations
List all conversations for a user. Use the optional agent ID to filter conversations by a specific agent. To learn more about agent conversations, refer to the agent chat documentation.
[Required authorization] Route required privileges: agentBuilder:read.
Query Parameters
-
agent_idstring · max: 64 Optional agent ID to filter conversations by a specific agent.
-
pagenumber · min: 1 · default: 1 Page number, 1-based.
-
per_pagenumber · min: 1 · max: 1000 · default: 1000 Number of results per page. Maximum 1000.
-
pinnedboolean Filter to pinned (true) or unpinned (false) conversations. Omit to return all.
Response
200
application/json
Indicates a successful response